// Main.java
//
// Informatics 102 Spring 2012
// Code Example
//
// This program reads individual lines of input from the console.  Each line
// of input is sent through the parser and we are told, for each one, whether
// the parser considers our input to be valid.  The program can be terminated
// by entering a blank line.

import java.util.Scanner;


public class Main
{
	public static void main(String[] args)
	{
		Scanner consoleIn = new Scanner(System.in);

		while (true)
		{
			String input = consoleIn.nextLine();
			
			if (input.length() == 0)
			{
				break;
			}
			
			try
			{
				new Parser(new Scanner(input)).parse();
				System.out.println("Valid");
			}
			catch (ParseException e)
			{
				System.out.println("Invalid");
			}
		}
	}
}
